diff --git a/ui/src/components/CreateOpportunityModal.svelte b/ui/src/components/CreateOpportunityModal.svelte
index 9733462..c3c8703 100644
--- a/ui/src/components/CreateOpportunityModal.svelte
+++ b/ui/src/components/CreateOpportunityModal.svelte
@@ -83,10 +83,50 @@
   let dropdownStyle = "";
   let primaryRepSelect: HTMLSelectElement;
 
+  // ── Schedule Entry state ──
+  type ScheduleEntryType = "Follow-Up" | "Appointment" | "Admin";
+  let scheduleEntryType: ScheduleEntryType = "Follow-Up";
+  let scheduleEntryStartDate = "";
+  let scheduleEntryStartHour = "";
+  let scheduleEntryEndDate = "";
+  let scheduleEntryEndHour = "";
+  let scheduleEntryNote = "";
+  let skipScheduleEntry = false;
+  let scheduleEntryTimeError = "";
+
+  function toCoLocalDate(d: Date): string {
+    const y = d.getFullYear();
+    const mo = String(d.getMonth() + 1).padStart(2, "0");
+    const da = String(d.getDate()).padStart(2, "0");
+    return `${y}-${mo}-${da}`;
+  }
+
+  function toCoLocalTime(d: Date): string {
+    const h = String(d.getHours()).padStart(2, "0");
+    const mi = String(d.getMinutes()).padStart(2, "0");
+    return `${h}:${mi}`;
+  }
+
+  function initScheduleEntryTimes() {
+    if (scheduleEntryStartDate && scheduleEntryStartHour && scheduleEntryEndDate && scheduleEntryEndHour) return; // already set
+    const now = new Date();
+    const mins = now.getMinutes();
+    const roundedUp = Math.ceil(mins / 15) * 15;
+    const ended = new Date(now);
+    ended.setMinutes(roundedUp, 0, 0);
+    if (ended <= now) ended.setHours(ended.getHours() + 1);
+    const started = new Date(ended.getTime() - 60 * 60 * 1000);
+    scheduleEntryStartDate = toCoLocalDate(started);
+    scheduleEntryStartHour = toCoLocalTime(started);
+    scheduleEntryEndDate = toCoLocalDate(ended);
+    scheduleEntryEndHour = toCoLocalTime(ended);
+  }
+
   // ── Opportunity types state ──
   let loadedTypes: OpportunityType[] = [];
   let isLoadingTypes = false;
   $: resolvedTypes = opportunityTypes.length > 0 ? opportunityTypes : loadedTypes;
+  $: selectedTypeName = resolvedTypes.find((t) => String(t.id) === typeId)?.name ?? null;
 
   async function loadOpportunityTypes() {
     if (opportunityTypes.length > 0) return;
@@ -110,14 +150,16 @@
     { label: "Details", icon: "document" },
     { label: "Assignment", icon: "people" },
     { label: "Contact & Site", icon: "contact" },
+    { label: "Schedule Entry", icon: "calendar" },
     { label: "Review", icon: "check" },
   ];
 
   // ── Validation ──
-  $: isStep0Valid = name.trim().length > 0 && expectedCloseDate.length > 0;
+  $: isStep0Valid = name.trim().length > 0 && expectedCloseDate.length > 0 && typeId.length > 0;
   $: isStep1Valid = primarySalesRepId.length > 0 && companyId.length > 0;
   $: isStep2Valid = true; // Contact & Site step is optional
-  $: isValid = isStep0Valid && isStep1Valid && isStep2Valid;
+  $: isStep3Valid = true; // Schedule Entry step is optional (can be skipped)
+  $: isValid = isStep0Valid && isStep1Valid && isStep2Valid && isStep3Valid;
 
   $: selectedPrimaryRep = $cwMembers.find(
     (m) => String(m.id) === primarySalesRepId,
@@ -321,10 +363,11 @@
   function nextStep() {
     if (currentStep === 0 && !isStep0Valid) return;
     if (currentStep === 1 && !isStep1Valid) return;
-    if (currentStep < 3) {
+    if (currentStep < 4) {
       currentStep++;
       if (currentStep === 1) loadMembers();
       if (currentStep === 2) loadCompanyDetails();
+      if (currentStep === 3) initScheduleEntryTimes();
     }
   }
 
@@ -349,6 +392,11 @@
     }
     if (step === 3 && isStep0Valid && isStep1Valid && isStep2Valid) {
       currentStep = 3;
+      initScheduleEntryTimes();
+      return;
+    }
+    if (step === 4 && isStep0Valid && isStep1Valid && isStep2Valid && isStep3Valid) {
+      currentStep = 4;
       return;
     }
   }
@@ -391,6 +439,33 @@
         console.warn("No opportunity ID in response:", JSON.stringify(result));
       }
 
+      // ── Create schedule entry if the user filled one in ────────────────────
+      if (!skipScheduleEntry && newId) {
+        try {
+          await clientFetch(`/sales/opportunity/${newId}/workflow`, {
+            method: "POST",
+            headers: { "Content-Type": "application/json" },
+            body: JSON.stringify({
+              action: "createScheduleEntry",
+              payload: {
+                activityTypeValue: scheduleEntryType,
+                ...(scheduleEntryEndDate ? { dueDate: scheduleEntryEndDate } : {}),
+                ...(scheduleEntryStartDate && scheduleEntryStartHour
+                  ? { startTime: new Date(`${scheduleEntryStartDate}T${scheduleEntryStartHour}`).toISOString() }
+                  : {}),
+                ...(scheduleEntryEndDate && scheduleEntryEndHour
+                  ? { endTime: new Date(`${scheduleEntryEndDate}T${scheduleEntryEndHour}`).toISOString() }
+                  : {}),
+                ...(scheduleEntryNote.trim() ? { note: scheduleEntryNote.trim() } : {}),
+              },
+            }),
+          });
+        } catch {
+          // Non-fatal: the opportunity was created; log and continue.
+          console.warn("[CreateOpportunityModal] Schedule entry creation failed after opportunity was created.");
+        }
+      }
+
       reset();
 
       if (shouldNavigate) {
@@ -433,6 +508,14 @@
     submitError = "";
     currentStep = 0;
     navigateOnCreate = true;
+    scheduleEntryType = "Follow-Up";
+    scheduleEntryStartDate = "";
+    scheduleEntryStartHour = "";
+    scheduleEntryEndDate = "";
+    scheduleEntryEndHour = "";
+    scheduleEntryNote = "";
+    skipScheduleEntry = false;
+    scheduleEntryTimeError = "";
   }
 
   function handleClose() {
@@ -517,11 +600,13 @@
             class:completed={i < currentStep}
             class:disabled={(i > 0 && !isStep0Valid) ||
               (i > 1 && !isStep1Valid) ||
-              (i > 2 && !isStep2Valid)}
+              (i > 2 && !isStep2Valid) ||
+              (i > 3 && !isStep3Valid)}
             on:click={() => goToStep(i)}
             disabled={(i > 0 && !isStep0Valid) ||
               (i > 1 && !isStep1Valid) ||
-              (i > 2 && !isStep2Valid)}
+              (i > 2 && !isStep2Valid) ||
+              (i > 3 && !isStep3Valid)}
           >
             <span class="co-step-number" class:check={i < currentStep}>
               {#if i < currentStep}
@@ -632,6 +717,21 @@
                   />
                 </div>
 
+                <div class="co-form-group">
+                  <label for="co-type">Opportunity Type <span class="co-req">*</span></label>
+                  <select
+                    id="co-type"
+                    bind:value={typeId}
+                    disabled={isSubmitting || isLoadingTypes}
+                    class:has-value={!!typeId}
+                  >
+                    <option value="">— Select type —</option>
+                    {#each resolvedTypes as t (t.id)}
+                      <option value={String(t.id)}>{t.name}</option>
+                    {/each}
+                  </select>
+                </div>
+
                 <div class="co-form-group">
                   <label for="co-source">Source</label>
                   <input
@@ -653,21 +753,6 @@
                     disabled={isSubmitting}
                   />
                 </div>
-
-                <div class="co-form-group">
-                  <label for="co-type">Opportunity Type</label>
-                  <select
-                    id="co-type"
-                    bind:value={typeId}
-                    disabled={isSubmitting || isLoadingTypes}
-                    class:has-value={!!typeId}
-                  >
-                    <option value="">— Select type (optional) —</option>
-                    {#each resolvedTypes as t (t.id)}
-                      <option value={String(t.id)}>{t.name}</option>
-                    {/each}
-                  </select>
-                </div>
               </div>
             </div>
 
@@ -1227,8 +1312,136 @@
             </div>
           </div>
 
-          <!-- Step 3: Review -->
+          <!-- Step 3: Schedule Entry -->
         {:else if currentStep === 3}
+          <div class="co-step-content" style="animation: coFadeIn 0.2s ease">
+            <div class="co-section">
+              <h3 class="co-section-title">
+                <svg viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" width="15" height="15">
+                  <rect x="3" y="4" width="18" height="18" rx="2" ry="2" />
+                  <line x1="16" y1="2" x2="16" y2="6" />
+                  <line x1="8" y1="2" x2="8" y2="6" />
+                  <line x1="3" y1="10" x2="21" y2="10" />
+                </svg>
+                Initial Schedule Entry
+              </h3>
+              <p class="co-step-hint">
+                Optionally create a schedule entry for this opportunity right away. You can skip this and add entries later.
+              </p>
+
+              <label class="co-skip-check">
+                <input type="checkbox" bind:checked={skipScheduleEntry} />
+                <span>Skip — I'll add a schedule entry later</span>
+              </label>
+
+              {#if !skipScheduleEntry}
+                <div class="co-form-grid co-schedule-grid">
+                  <!-- Activity type -->
+                  <div class="co-form-group co-full-width">
+                    <label for="co-se-type">Activity Type <span class="co-req">*</span></label>
+                    <div class="co-se-type-pills">
+                      {#each (["Follow-Up", "Appointment", "Admin"] as const) as t}
+                        <button
+                          type="button"
+                          class="co-se-pill"
+                          class:co-se-pill-active={scheduleEntryType === t}
+                          on:click={() => (scheduleEntryType = t)}
+                        >
+                          {#if t === "Follow-Up"}
+                            <svg viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" width="13" height="13">
+                              <path d="M22 16.92v3a2 2 0 01-2.18 2 19.79 19.79 0 01-8.63-3.07 19.5 19.5 0 01-6-6 19.79 19.79 0 01-3.07-8.67A2 2 0 014.11 2h3a2 2 0 012 1.72c.127.96.361 1.903.7 2.81a2 2 0 01-.45 2.11L8.09 9.91a16 16 0 006 6l1.27-1.27a2 2 0 012.11-.45c.908.339 1.85.573 2.81.7A2 2 0 0122 16.92z"/>
+                            </svg>
+                          {:else if t === "Appointment"}
+                            <svg viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" width="13" height="13">
+                              <rect x="3" y="4" width="18" height="18" rx="2" ry="2"/>
+                              <line x1="16" y1="2" x2="16" y2="6"/><line x1="8" y1="2" x2="8" y2="6"/><line x1="3" y1="10" x2="21" y2="10"/>
+                            </svg>
+                          {:else}
+                            <svg viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" width="13" height="13">
+                              <circle cx="12" cy="12" r="10"/><polyline points="12 6 12 12 16 14"/>
+                            </svg>
+                          {/if}
+                          {t}
+                        </button>
+                      {/each}
+                    </div>
+                  </div>
+
+                  <!-- Start date -->
+                  <div class="co-form-group">
+                    <label for="co-se-start-date">Start Date</label>
+                    <input
+                      id="co-se-start-date"
+                      type="date"
+                      class:co-input-error={!!scheduleEntryTimeError}
+                      bind:value={scheduleEntryStartDate}
+                      disabled={isSubmitting}
+                      on:change={() => { scheduleEntryTimeError = ""; }}
+                    />
+                  </div>
+
+                  <!-- Start time -->
+                  <div class="co-form-group">
+                    <label for="co-se-start-hour">Start Time</label>
+                    <input
+                      id="co-se-start-hour"
+                      type="time"
+                      class:co-input-error={!!scheduleEntryTimeError}
+                      bind:value={scheduleEntryStartHour}
+                      disabled={isSubmitting}
+                      on:change={() => { scheduleEntryTimeError = ""; }}
+                    />
+                  </div>
+
+                  <!-- End date -->
+                  <div class="co-form-group">
+                    <label for="co-se-end-date">End Date</label>
+                    <input
+                      id="co-se-end-date"
+                      type="date"
+                      class:co-input-error={!!scheduleEntryTimeError}
+                      bind:value={scheduleEntryEndDate}
+                      disabled={isSubmitting}
+                      on:change={() => { scheduleEntryTimeError = ""; }}
+                    />
+                  </div>
+
+                  <!-- End time -->
+                  <div class="co-form-group">
+                    <label for="co-se-end-hour">End Time</label>
+                    <input
+                      id="co-se-end-hour"
+                      type="time"
+                      class:co-input-error={!!scheduleEntryTimeError}
+                      bind:value={scheduleEntryEndHour}
+                      disabled={isSubmitting}
+                      on:change={() => { scheduleEntryTimeError = ""; }}
+                    />
+                  </div>
+
+                  {#if scheduleEntryTimeError}
+                    <div class="co-full-width co-field-error">{scheduleEntryTimeError}</div>
+                  {/if}
+
+                  <!-- Notes -->
+                  <div class="co-form-group co-full-width">
+                    <label for="co-se-notes">Notes <span class="co-optional-label">(optional)</span></label>
+                    <textarea
+                      id="co-se-notes"
+                      class="co-notes-textarea"
+                      bind:value={scheduleEntryNote}
+                      placeholder="Add any notes for this schedule entry…"
+                      rows="3"
+                      disabled={isSubmitting}
+                    ></textarea>
+                  </div>
+                </div>
+              {/if}
+            </div>
+          </div>
+
+          <!-- Step 4: Review -->
+        {:else if currentStep === 4}
           <div class="co-step-content" style="animation: coFadeIn 0.2s ease">
             <div class="co-review">
               <div class="co-review-header">
@@ -1280,6 +1493,12 @@
                         })}
                       </dd>
                     </div>
+                    {#if selectedTypeName}
+                      <div class="co-review-item">
+                        <dt>Type</dt>
+                        <dd>{selectedTypeName}</dd>
+                      </div>
+                    {/if}
                     {#if source}
                       <div class="co-review-item">
                         <dt>Source</dt>
@@ -1390,6 +1609,39 @@
                 </div>
               {/if}
 
+              <!-- Schedule entry review card -->
+              {#if !skipScheduleEntry}
+                <div class="co-review-notes co-review-schedule">
+                  <h4>
+                    <svg viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" width="14" height="14">
+                      <rect x="3" y="4" width="18" height="18" rx="2" ry="2"/>
+                      <line x1="16" y1="2" x2="16" y2="6"/><line x1="8" y1="2" x2="8" y2="6"/><line x1="3" y1="10" x2="21" y2="10"/>
+                    </svg>
+                    Schedule Entry
+                  </h4>
+                  <dl class="co-review-schedule-dl">
+                    <div class="co-review-item">
+                      <dt>Type</dt>
+                      <dd>{scheduleEntryType}</dd>
+                    </div>
+                    {#if scheduleEntryStartDate && scheduleEntryStartHour}
+                      <div class="co-review-item">
+                        <dt>Start</dt>
+                        <dd>{new Date(`${scheduleEntryStartDate}T${scheduleEntryStartHour}`).toLocaleString("en-US", { month: "short", day: "numeric", hour: "numeric", minute: "2-digit" })}</dd>
+                      </div>
+                    {/if}
+                    {#if scheduleEntryEndDate && scheduleEntryEndHour}
+                      <div class="co-review-item">
+                        <dt>End</dt>
+                        <dd>{new Date(`${scheduleEntryEndDate}T${scheduleEntryEndHour}`).toLocaleString("en-US", { month: "short", day: "numeric", hour: "numeric", minute: "2-digit" })}</dd>
+                      </div>
+                    {/if}
+                  </dl>
+                </div>
+              {:else}
+                <p class="co-review-skipped">No schedule entry — will be added later.</p>
+              {/if}
+
               <label class="co-navigate-check">
                 <input type="checkbox" bind:checked={navigateOnCreate} />
                 <span>Open opportunity after creating</span>
@@ -1433,20 +1685,23 @@
           Cancel
         </button>
 
-        {#if currentStep < 3}
+        {#if currentStep < 4}
           <button
             class="co-btn-next"
             on:click={nextStep}
             disabled={(currentStep === 0 && !isStep0Valid) ||
               (currentStep === 1 && !isStep1Valid) ||
-              (currentStep === 2 && !isStep2Valid)}
+              (currentStep === 2 && !isStep2Valid) ||
+              (currentStep === 3 && !isStep3Valid)}
             type="button"
           >
             {currentStep === 0
               ? "Next: Assignment"
               : currentStep === 1
                 ? "Next: Contact & Site"
-                : "Review"}
+                : currentStep === 2
+                  ? "Next: Schedule Entry"
+                  : "Review"}
             <svg
               viewBox="0 0 24 24"
               fill="none"
@@ -1531,7 +1786,7 @@
   .co-modal {
     display: flex;
     flex-direction: column;
-    width: 640px;
+    width: 740px;
     max-width: 94vw;
     max-height: 88vh;
     background: var(--bg-surface, #ffffff);
@@ -1618,21 +1873,23 @@
     align-items: center;
     justify-content: center;
     gap: 0;
-    padding: 16px 24px;
+    padding: 12px 16px;
     border-bottom: 1px solid var(--border-subtle, #e5e5e5);
     background: var(--bg-inset, #fafafa);
+    overflow: hidden;
   }
 
   .co-step {
     display: flex;
     align-items: center;
-    gap: 8px;
-    padding: 6px 14px;
+    gap: 5px;
+    padding: 5px 8px;
     border: none;
     background: none;
     cursor: pointer;
     border-radius: 8px;
     transition: all 0.15s;
+    white-space: nowrap;
   }
 
   .co-step:hover:not(.disabled) {
@@ -1673,7 +1930,7 @@
   }
 
   .co-step-label {
-    font-size: 12.5px;
+    font-size: 11.5px;
     font-weight: 550;
     color: var(--text-secondary, #666);
     transition: color 0.15s;
@@ -1684,11 +1941,12 @@
   }
 
   .co-step-connector {
-    width: 32px;
+    width: 20px;
     height: 2px;
     background: var(--border-subtle, #ddd);
     border-radius: 1px;
     transition: background 0.2s;
+    flex-shrink: 0;
   }
 
   .co-step-connector.filled {
@@ -1762,6 +2020,7 @@
 
   .co-form-group input[type="text"],
   .co-form-group input[type="date"],
+  .co-form-group input[type="time"],
   .co-form-group select {
     width: 100%;
     padding: 8px 12px;
@@ -2255,6 +2514,136 @@
     color: var(--text-secondary, #666);
   }
 
+  .co-navigate-check {
+    display: flex;
+    align-items: center;
+    gap: 8px;
+    padding: 10px 14px;
+    border-radius: 8px;
+    background: var(--bg-inset, #fafafa);
+    border: 1px solid var(--border-subtle, #e5e5e5);
+    cursor: pointer;
+    transition: background 0.1s;
+  }
+
+  .co-navigate-check:hover {
+    background: var(--card-hover-bg, #f0f0f0);
+  }
+
+  .co-navigate-check input {
+    accent-color: #3b82f6;
+  }
+
+  .co-navigate-check span {
+    font-size: 12.5px;
+    font-weight: 500;
+    color: var(--text-secondary, #666);
+  }
+
+  /* ── Schedule Entry step ── */
+  .co-step-hint {
+    font-size: 12.5px;
+    color: var(--text-muted, #888);
+    margin-bottom: 12px;
+    line-height: 1.5;
+  }
+
+  .co-skip-check {
+    display: flex;
+    align-items: center;
+    gap: 8px;
+    padding: 10px 14px;
+    border-radius: 8px;
+    background: var(--bg-inset, #1a1a1a);
+    border: 1px solid var(--border-subtle, #333);
+    cursor: pointer;
+    margin-bottom: 16px;
+    transition: background 0.1s;
+  }
+  .co-skip-check:hover {
+    background: var(--card-hover-bg, #222);
+  }
+  .co-skip-check input {
+    accent-color: #3b82f6;
+  }
+  .co-skip-check span {
+    font-size: 12.5px;
+    font-weight: 500;
+    color: var(--text-secondary, #aaa);
+  }
+
+  .co-schedule-grid {
+    margin-top: 4px;
+  }
+
+  .co-se-type-pills {
+    display: flex;
+    gap: 8px;
+    flex-wrap: wrap;
+  }
+
+  .co-se-pill {
+    display: inline-flex;
+    align-items: center;
+    gap: 5px;
+    padding: 6px 14px;
+    border-radius: 20px;
+    border: 1px solid var(--border-color, #444);
+    background: transparent;
+    color: var(--text-muted, #888);
+    font-size: 13px;
+    cursor: pointer;
+    transition: border-color 0.15s, color 0.15s, background 0.15s;
+  }
+
+  .co-se-pill:hover {
+    border-color: var(--accent-color, #4f8ef7);
+    color: var(--accent-color, #4f8ef7);
+  }
+
+  .co-se-pill.co-se-pill-active {
+    border-color: var(--accent-color, #4f8ef7);
+    background: var(--accent-bg, rgba(79, 142, 247, 0.1));
+    color: var(--accent-color, #4f8ef7);
+    font-weight: 600;
+  }
+
+  .co-optional-label {
+    font-weight: 400;
+    color: var(--text-muted, #888);
+    font-size: 11px;
+  }
+
+  .co-input-error {
+    border-color: #ef4444 !important;
+  }
+
+  .co-field-error {
+    font-size: 11.5px;
+    color: #ef4444;
+    margin-top: -4px;
+    margin-bottom: 4px;
+  }
+
+  /* ── Schedule entry review card ── */
+  .co-review-schedule {
+    margin-top: 12px;
+  }
+
+  .co-review-schedule-dl {
+    display: flex;
+    flex-wrap: wrap;
+    gap: 8px 20px;
+    margin-top: 8px;
+  }
+
+  .co-review-skipped {
+    font-size: 12.5px;
+    color: var(--text-muted, #888);
+    font-style: italic;
+    margin: 8px 0;
+  }
+
   /* ── Error banner ── */
   .co-error-banner {
     display: flex;
@@ -2517,6 +2906,7 @@
 
     .co-form-group input[type="text"],
     .co-form-group input[type="date"],
+    .co-form-group input[type="time"],
     .co-form-group select {
       font-size: 16px;
       padding: 10px 12px;
diff --git a/ui/src/lib/optima-api/modules/sales.ts b/ui/src/lib/optima-api/modules/sales.ts
index 4eb84ef..cd3f70f 100644
--- a/ui/src/lib/optima-api/modules/sales.ts
+++ b/ui/src/lib/optima-api/modules/sales.ts
@@ -111,7 +111,9 @@ export type WorkflowAction =
   | "beginRevision"
   | "resendQuote"
   | "cancel"
-  | "reopen";
+  | "reopen"
+  | "sendBackForRevision"
+  | "createScheduleEntry";
 
 export type ReviewDecision = "approve" | "reject" | "send" | "cancel";
 
@@ -129,6 +131,11 @@ export interface WorkflowActionPayload {
   // finalize
   outcome?: "won" | "lost";
   finalize?: boolean;
+  // createScheduleEntry
+  activityTypeValue?: "Follow-Up" | "Appointment" | "Admin";
+  dueDate?: string;
+  startTime?: string;
+  endTime?: string;
 }
 
 export interface WorkflowAvailableAction {
@@ -273,6 +280,24 @@ export const REOPENABLE_STATUSES: ReadonlySet<WorkflowStatusKey> = new Set([
   "Canceled",
 ]);
 
+/** Statuses where opportunity data is fully editable (frontend + backend). */
+export const EDITABLE_STATUSES: ReadonlySet<WorkflowStatusKey> = new Set([
+  "New",
+  "Active",
+]);
+
+/**
+ * Statuses where the "Add Time" button is hidden.
+ * PendingWon, PendingLost, Won, Lost, Canceled.
+ */
+export const ADD_TIME_EXCLUDED_STATUSES: ReadonlySet<WorkflowStatusKey> = new Set([
+  "PendingWon",
+  "PendingLost",
+  "Won",
+  "Lost",
+  "Canceled",
+]);
+
 /** Statuses where the quote has been confirmed (finalize is allowed) */
 export const QUOTE_CONFIRMED_STATUSES: ReadonlySet<WorkflowStatusKey> = new Set(
   ["ConfirmedQuote", "ReadyToSend", "Active", "PendingWon", "PendingLost"]
@@ -1162,4 +1187,42 @@ export const sales = {
       successful?: boolean;
     };
   },
+
+  async fetchOpenActivities(accessToken: string, identifier: string) {
+    const response = await api.get(
+      `/v1/sales/opportunities/opportunity/${encodeURIComponent(identifier)}/activities`,
+      { headers: { Authorization: `Bearer ${accessToken}` } }
+    );
+    return response.data as {
+      successful?: boolean;
+      data: {
+        activities: Array<{
+          cwActivityId: number;
+          name: string;
+          optimaType: string | null;
+          parentActivityId: number | null;
+          status: { id?: number; name?: string } | null;
+          dateStart: string | null;
+          dateEnd: string | null;
+        }>;
+      };
+    };
+  },
+
+  async addTimeToActivity(
+    accessToken: string,
+    identifier: string,
+    payload: { activityId: number; timeStarted: string; timeEnded: string; notes?: string }
+  ) {
+    const response = await api.post(
+      `/v1/sales/opportunities/opportunity/${encodeURIComponent(identifier)}/time`,
+      payload,
+      { headers: { Authorization: `Bearer ${accessToken}` } }
+    );
+    return response.data as {
+      successful?: boolean;
+      message?: string;
+      data: { cwTimeEntryId: number | null; activityId: number; activityWasClosed: boolean };
+    };
+  },
 };
diff --git a/ui/src/routes/sales/opportunity/[id]/+page.svelte b/ui/src/routes/sales/opportunity/[id]/+page.svelte
index 681aa49..41c4477 100644
--- a/ui/src/routes/sales/opportunity/[id]/+page.svelte
+++ b/ui/src/routes/sales/opportunity/[id]/+page.svelte
@@ -6,6 +6,7 @@
   import {
     STATUS_ID_TO_KEY,
     TERMINAL_STATUSES,
+    EDITABLE_STATUSES,
     type WorkflowResult,
     type WorkflowStatusResponse,
   } from "$lib/optima-api/modules/sales";
@@ -44,6 +45,9 @@
   $: if (data.opportunity) localActivities = null; // reset when server data refreshes
   $: effectiveActivities = localActivities ?? opportunity?.activities ?? [];
 
+  // ActivityTab ref — used to trigger a refresh after workflow actions create new activities
+  let activityTabComponent: ActivityTab;
+
   // Closed opportunity lockdown – no edits except admin delete.
   // Also immediately reflects Won/Lost/Canceled workflow status without needing a reload.
   $: isClosedOpportunity = (() => {
@@ -62,6 +66,16 @@
     );
   })();
 
+  // Workflow read-only: only New and Active are editable (when in Optima workflow).
+  $: isReadOnly = (() => {
+    if (isClosedOpportunity) return true;
+    const wfStatus = workflowStatus;
+    if (!wfStatus?.isOptimaStage) return false;
+    const key = STATUS_ID_TO_KEY[wfStatus.currentStatusId] ?? null;
+    if (!key) return false;
+    return !EDITABLE_STATUSES.has(key);
+  })();
+
   /** Handle a completed workflow action: update UI immediately without a full page reload. */
   function handleWorkflowChanged(
     e: CustomEvent<{ result: WorkflowResult; freshWorkflowStatus: WorkflowStatusResponse | null }>,
@@ -88,6 +102,7 @@
         ...result.activitiesCreated,
         ...(localActivities ?? opportunity?.activities ?? []),
       ];
+      activityTabComponent?.refresh();
     }
   }
 
@@ -229,7 +244,7 @@
     {isMobile}
     {mobileActiveTab}
     {permissions}
-    {isClosedOpportunity}
+    isClosedOpportunity={isReadOnly}
     {workflowStatus}
     opportunityTypes={data.opportunityTypes ?? []}
     accessToken={data.accessToken}
@@ -420,7 +435,7 @@
           productSequence={localProductSequence}
           initialProductId={pendingProductId}
           {permissions}
-          {isClosedOpportunity}
+          isClosedOpportunity={isReadOnly}
           salesTaxRate={opportunity?.expectedSalesTaxRate ?? null}
           taxCodeDescription={opportunity?.taxCodeDescription ?? null}
           bind:isEditing={productsEditing}
@@ -436,7 +451,7 @@
           initialQuotes={quotes}
           initialQuoteId={pendingQuoteId}
           {permissions}
-          {isClosedOpportunity}
+          isClosedOpportunity={isReadOnly}
           on:quotesChanged={handleQuotesChanged}
         />
       {:else if activeTab === "Notes"}
@@ -444,13 +459,14 @@
           {notes}
           {permissions}
           {opportunityId}
-          {isClosedOpportunity}
+          isClosedOpportunity={isReadOnly}
           on:notesChanged={() => {
             invalidateAll();
           }}
         />
       {:else if activeTab === "Activity"}
         <ActivityTab
+          bind:this={activityTabComponent}
           {opportunityId}
           activities={effectiveActivities}
           on:viewQuote={handleViewQuote}
diff --git a/ui/src/routes/sales/opportunity/[id]/activities/+server.ts b/ui/src/routes/sales/opportunity/[id]/activities/+server.ts
new file mode 100644
index 0000000..92d6a21
--- /dev/null
+++ b/ui/src/routes/sales/opportunity/[id]/activities/+server.ts
@@ -0,0 +1,24 @@
+import { optima } from "$lib";
+import { json, error } from "@sveltejs/kit";
+import type { RequestHandler } from "./$types";
+
+/** GET /sales/opportunity/[id]/activities — fetch open activities for time logging */
+export const GET: RequestHandler = async ({ params, locals }) => {
+  const accessToken = locals.session?.accessToken;
+  if (!accessToken) throw error(401, "Unauthorized");
+
+  try {
+    const result = await optima.sales.fetchOpenActivities(
+      accessToken,
+      params.id,
+    );
+    return json(result);
+  } catch (err: unknown) {
+    console.error("[Activities] Failed to fetch:", err);
+    const status =
+      err && typeof err === "object" && "status" in err
+        ? (err as { status: number }).status
+        : 500;
+    throw error(status, "Failed to fetch activities");
+  }
+};
